import React from "react";
import { AppHarness } from "../../../mocks/AppHarness";
import { IOCDetailsContainer } from "../../../views/IOC/IOCDetailsContainer";
import { userImpersonatorArgs } from "../../utils/common-args";

export default {
  title: "Views/IOC/IOCDetailsView"
};

const Template = (args) => (
  <AppHarness
    useTestUser
    {...args}
  >
    <IOCDetailsContainer id={args.id} />
  </AppHarness>
);

export const Default = (args) => <Template {...args} />;
Default.args = {
  id: 1,
  ...userImpersonatorArgs
};

export const NotDeployed = (args) => <Template {...args} />;
NotDeployed.args = {
  ...Default.args,
  id: 2
};

export const Deployed = (args) => <Template {...args} />;
Deployed.args = {
  ...Default.args,
  id: 3
};

export const DeployedErrors = (args) => <Template {...args} />;
DeployedErrors.args = {
  ...Default.args,
  id: 4
};
